%define 	module	git_slug
Summary:	Tools to interact with PLD Linux git repositories
Summary(pl.UTF-8):	Narzędzia do pracy z repozytoriami gita w PLD Linuksa
Name:		git-core-slug
Version:	0.14
Release:	4
License:	GPL v2
Group:		Development/Building
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	94d40c83999c0ea1d085fb436beede19
Source1:	slug_watch.init
Source2:	crontab
Source3:	slug_watch.sysconfig
Source4:	slug_watch-cron
URL:		https://git.pld-linux.org/gitweb.cgi/?p=projects/git-slug.git;a=summary
BuildRequires:	asciidoc
BuildRequires:	docbook-dtd45-xml
BuildRequires:	git-core >= 2.7.1-3
BuildRequires:	python3-modules >= 1:3.3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	xmlto
Requires:	git-core
Requires:	python3-modules
Suggests:	openssh-clients
Suggests:	python3-rpm
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		gitcoredir	%(git --exec-path)

%description
Python tools to interact with PLD Linux git repositories.

%description -l pl.UTF-8
Narzędzia w Pythonie do pracy z repozytoriami gita w PLD.

%package watch
Summary:	Daemon to update Refs repository for git-slug
Summary(pl.UTF-8):	Demon uaktualniający repozytorium Refs dla git-slug
Group:		Development/Building
Requires(post,preun):	/sbin/chkconfig
Requires:	git-core-slug
Requires:	pld-gitolite
Requires:	python3-pyinotify
Requires:	rc-scripts
Suggests:	crondaemon

%description watch
Daemon to update Refs repository for git-slug. It is to be run on PLD
gitolite server.

%description watch -l pl.UTF-8
Demon uaktualniający repozytorium Refs dla git-slug. Jest przeznaczony
do uruchamiania na serwerze gitolite PLD.

%prep
%setup -q

%build
%py3_build
%{__make} man

%install
rm -rf $RPM_BUILD_ROOT
%py3_install \
	--install-data=/home/services/git \

%{__make} man-install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{gitcoredir}
ln -s %{_bindir}/slug.py $RPM_BUILD_ROOT%{gitcoredir}/git-pld
echo ".so slug.py.1" > $RPM_BUILD_ROOT%{_mandir}/man1/git-pld.1

install -Dp %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/slug_watch
install -d $RPM_BUILD_ROOT/home/services/git/.gitolite/hooks/common
cp -rp post-receive.python.d $RPM_BUILD_ROOT/home/services/git/.gitolite/hooks/common
install -d $RPM_BUILD_ROOT/home/services/git/{watchdir,Refs}
touch $RPM_BUILD_ROOT/home/services/git/{watchdir,Refs}

install -Dp %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.d/slug_watch
install -Dp %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/slug_watch
install -Dp %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post watch
/sbin/chkconfig --add slug_watch
%service slug_watch restart

%preun watch
if [ "$1" = "0" ]; then
	%service -q slug_watch stop
	/sbin/chkconfig --del slug_watch
fi

%files
%defattr(644,root,root,755)
%doc HOWTO
%attr(755,root,root) %{_bindir}/slug.py
%{gitcoredir}/git-pld
%{_mandir}/man1/git-pld.1*
%{_mandir}/man1/slug.py.1*
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/git_core_slug-*.egg-info

%files watch
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/slug_watch
%attr(755,root,root) %{_bindir}/slug_watch-cron
%attr(754,root,root) /etc/rc.d/init.d/slug_watch
%config(noreplace) %verify(not md5 mtime size) /etc/cron.d/slug_watch
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/slug_watch
%{py3_sitescriptdir}/Daemon

%defattr(644,git,git,755)
%attr(755,git,git) /home/services/git/adc/bin/trash
%attr(755,git,git) /home/services/git/adc/bin/move
/home/services/git/adc/bin/copy
%dir /home/services/git/.gitolite/hooks/common/post-receive.python.d
/home/services/git/.gitolite/hooks/common/post-receive.python.d/slug_hook.py
%dir /home/services/git/watchdir
%dir /home/services/git/Refs
%changelog
* Sun Mar 27 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/git-core-slug.git;a=log;h=master

* Sun Mar 27 2022 Jan Rękorajski <baggins@pld-linux.org> b2efe21
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> dc41a48
- rebuild with python 3.10

* Tue Mar 22 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e4f439
- Correct URL.

* Sat Oct 02 2021 Jan Palus <atler@pld-linux.org> 8076084
- S: python3-rpm; rel 2

* Sat Oct 02 2021 Jan Palus <atler@pld-linux.org> ad1ff7a
- up to 0.14

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 16a35a6
- release 21 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1106053
- rebuild with python 3.8
- release 20 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e0b466a
- release 19 (by relup.sh)

* Mon Dec 04 2017 Elan Ruusamäe <glen@pld-linux.org> 9a592e2
- noarch again

* Mon Dec 04 2017 Jan Palus <atler@pld-linux.org> b6ff8c8
- release 17 (by relup.sh)

* Sat Jul 01 2017 Jan Rękorajski <baggins@pld-linux.org> 9ec0a7d
- drop the noarch git dir is arch dependant
- rel 16

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> a6a6e9d
- python 3.6
- release 15 (by relup.sh)

* Tue Feb 23 2016 Elan Ruusamäe <glen@delfi.ee> 5f87723
- obtain git core dir at build time

* Tue Feb 23 2016 Elan Ruusamäe <glen@delfi.ee> 48f3d00
- build noarch

* Tue Feb 23 2016 Elan Ruusamäe <glen@delfi.ee> b1f53e7
- new python macros

* Tue Nov 10 2015 Kącper Kornet <draenog@pld-linux.org> 1b6b8dc
- fix treatment of problems with encoding in .gitconfig

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5fcde34
- release 12 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 468c05f
- x32 rebuild
- release 11 (by relup.sh)

* Fri Nov 28 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b64091f
- rel 10; better keyboard interrupt handling

* Fri Nov 28 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a976f2
- drop unwanted changes from git repo (unrelated to parallelization)

